<?php
//определяем IP посетителя
$visitorIP = $_SERVER['REMOTE_ADDR'];

//подключение к БД
$dbHost = 'localhost';
$dbName = 'db_name';
$dbUser = 'db_user';
$dbPass = 'db_pass';

try {
	$dbh = new PDO('mysql:host='.$dbHost.';dbname='.$dbName, $dbUser, $dbPass);
	//преобразовываем IP в целое число
	$ip = ip2long($visitorIP);
	if ($ip !== FALSE) {
		//определяем в какой стране находится посетитель и получаем
		$stmt = $dbh->prepare('SELECT wl.code, wl.country FROM worldip w LEFT JOIN worldip_land wl ON (w.code=wl.code) WHERE w.start<=? and w.end>=?');
		$stmt->bindParam(1, $ip);
		$stmt->bindParam(2, $ip);
		$stmt->execute();
		$res = $stmt->fetch(PDO::FETCH_ASSOC);
		if ($res === FALSE) {
			$errMes = 'Местоположение данного IP неизвестно';
		}
	}
	$dbh = null;
}
catch (PDOException $e) {
	$errMes = 'Ошибка: '.$e->getMessage();
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ru" lang="ru">

<head>
	<title>WIPmania</title>
	<meta http-equiv="content-type" content="text/html;charset=utf-8" />
	<meta http-equiv="Content-Style-Type" content="text/css" />
</head>

<body>
<p>Ваш IP адрес: <?php echo $visitorIP; ?></p>
<p>
<?php
if (isset($errMes)) {
	echo $errMes;
}
else {
	//вставляем название страны и рисунок с флагом
?>
    <img src="flags/<?php echo $res['code']; ?>.png" title="флаг" />
<?php
    echo $res['country'];
}
?>
</p>
</body>
</html>